NXOpen.UF.ModlFeatures.CreateRectPad

ModlFeatures.CreateRectPad()

Refer to UF_MODL_create_rect_pad for documentation.

Signature: CreateRectPad(location, direction, xDir, size, radius, angle, face)

Parameters:
  • location (list of float) – Rectangular pad location.
  • direction (list of float) – Rectangular pad direction.
  • xDir (list of float) – Rectangular pad x direction.
  • size (list of str) – Rectangular pad size.
  • radius (str) – Rectangular pad corner radius.
  • angle (str) – Rectangular pad taper angle.
  • face (Tag) – Face for the RPO constraint (may be a datum plane).
Returns:

Feature object identifier of created rect. pad

Return type:

Tag

License requirements: SOLIDS MODELING